classification
Title: clean up async generator from types module
Type: behavior Stage: resolved
Components: Library (Lib) Versions: Python 3.8
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: miss-islington, scotchka, serhiy.storchaka, yselivanov
Priority: normal Keywords: patch

Created on 2019-02-23 06:07 by scotchka, last changed 2019-03-03 16:39 by scotchka. This issue is now closed.

Pull Requests
URL Status Linked Edit
PR 11996 merged scotchka, 2019-02-23 06:19
PR 12146 merged miss-islington, 2019-03-03 14:35
Messages (5)
msg336368 - (view) Author: Henry Chen (scotchka) * Date: 2019-02-23 06:07
the following script:
```
import sys, types

def tr(frame, event, arg):
    print(frame, event, arg)
    return tr

sys.settrace(tr)
```
gives the output:
```
<frame object at 0x106c5cd48> call None
<frame object at 0x106c5cd48> exception (<class 'GeneratorExit'>, GeneratorExit(), <traceback object at 0x106cc1f88>)
<frame object at 0x106c5cd48> return None
```

This is due to Lib/types.py creating an async generator for the sole purpose of getting its type. I'll remove that reference after use to prevent the above message, which is probably benign but perhaps unnerving.
msg336373 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-02-23 07:54
I am sure this change already was discussed in other issue, but I can not find that issue and I am not sure that there is a PR.
msg336409 - (view) Author: Henry Chen (scotchka) * Date: 2019-02-23 21:59
As it happens @cheryl.sabella has created a very useful data set of which files are impacted by open PRs: https://github.com/csabella/pulls

and as of 2019-02-18, the only open PR that relates to Lib/types.py is
https://github.com/python/cpython/pull/5068 on an unrelated matter
msg337032 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2019-03-03 14:35
New changeset 0a6a412fb27d6874a0db5cc82a97f54d7c5fd0f2 by Serhiy Storchaka (Henry Chen) in branch 'master':
bpo-36091: Remove reference to async generator in Lib/types.py. (GH-11996)
https://github.com/python/cpython/commit/0a6a412fb27d6874a0db5cc82a97f54d7c5fd0f2
msg337033 - (view) Author: miss-islington (miss-islington) Date: 2019-03-03 14:54
New changeset cd0416466f8a6d5333d6ea52f6907c39b8a6c3bc by Miss Islington (bot) in branch '3.7':
bpo-36091: Remove reference to async generator in Lib/types.py. (GH-11996)
https://github.com/python/cpython/commit/cd0416466f8a6d5333d6ea52f6907c39b8a6c3bc
History
Date User Action Args
2019-03-03 16:39:21scotchkasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2019-03-03 14:54:43miss-islingtonsetnosy: + miss-islington
messages: + msg337033
2019-03-03 14:35:47miss-islingtonsetpull_requests: + pull_request12146
2019-03-03 14:35:35serhiy.storchakasetmessages: + msg337032
2019-02-23 21:59:21scotchkasetmessages: + msg336409
2019-02-23 07:54:25serhiy.storchakasetnosy: + serhiy.storchaka
messages: + msg336373
2019-02-23 07:04:07SilentGhostsetnosy: + yselivanov
2019-02-23 06:19:24scotchkasetkeywords: + patch
stage: patch review
pull_requests: + pull_request12021
2019-02-23 06:07:17scotchkacreate